For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • POSTSend User OTP
      • POSTVerify User OTP
      • GETGet User Limits
      • GETGet User Details
      • GETRefresh User Access Token
      • POSTLogout User
      • POSTOnboard User (Auth Reliance)
Dashboard
LogoLogo
TRANSAK WHITELABEL APIUser

Refresh User Access Token

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/auth/refresh
GET
/api/v2/auth/refresh
$curl https://api-gateway-stg.transak.com/api/v2/auth/refresh \
> -H "authorization: "
1{
2 "data": {
3 "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhY3RpdmUiOnRydWUsInBlcm1pc3Npb25zIjpbXSwicm9sZXMiOltdLCJ0b2tlbl90eXBlIjoiQmVhcmVyIiwic3ViIjoiYW5zaHVsLmdhcmcrdGVzdGFwaTFAdHJhbnNhay5jb20iLCJhdWQiOiI5OTVhY2RlZjhmYjQwNzRjNTFhYWY1N2ZhNjUwNDVmN21ham91Y2I0IiwiaXNzIjoiaHR0cHM6Ly90cmFuc2FrLmNvbS9hdXRoIiwianRpIjoiMGQyNGJmMTctNjMxNS00NjEzLTg1ZmItOTIxZGFlYjNkNWRlIiwiaWF0IjoxNzUwMzI5NzM1LCJleHAiOjE3NTI5MjE3MzV9.Z4L2myLTfccFLQ_aN6uHLdOSPBjTsm-VjfSHJeeD18A"
4 }
5}

The Refresh Access Token is an authenticated API which should be used when access token is about to expire (not expired).

If Access token is expired, it cannot be refreshed. In that case, Only OTP authentication is the way to generate a new access token

Was this page helpful?
Previous

Get User Details

Next

Logout User

Built with

Headers

authorizationstringRequired

Authorization token is the accessToken received from the API - api/v2/auth/verify

Response

200 - Success

dataobject

Errors

500
Internal Server Error